
*********************************************************************************************************************************************************
*PLEASE CITE AS:

*Parteka, A., & Kordalska, A. (2023). Data and codes accompanying the paper: 
*Parteka A., Kordalska A. "Artificial intelligence and productivity: global evidence from AI patent and bibliometric data". Technovation, Volume 125, July 2023, 102764 (https://doi.org/10.34808/rjk6-ry03)
*********************************************************************************************************************************************************

use "TECHNOVATION_PartekaKordalska_BaselineData.dta", replace
xtset countryid year

*_____________________________________________________________________________MOVING AVERAGES & LOGARITHMS OF MOVING AVERAGES 
*_____________________________________________________________________________for labour productivity, capital to labour ratio, patents and publications



foreach i in LP LPh KEratio KLratio totPatINV totPatAPP totPub aiPatINV aiPatAPP aiPub totPatINV_E totPatINV_L totPatAPP_E totPatAPP_L totPub_E totPub_L aiPatINV_E aiPatINV_L aiPatAPP_E aiPatAPP_L aiPub_E aiPub_L     {
	gen M`i' = (l2.`i'+l.`i'+`i'+f.`i'+f2.`i')/5 
	la var M`i' "5-period moving average for `i'"
	
	gen lnM`i'=ln(M`i')
	la var lnM`i' "log of 5-period moving average for `i'"
}

*_____________________________________________________________________________LOGARITHMS of labour productivity, capital to labour ratio, patents and publications, and instruments

foreach i in LP LPh KEratio KLratio totPatINV totPatAPP totPub aiPatINV aiPatAPP aiPub totPatINV_E totPatINV_L totPatAPP_E totPatAPP_L totPub_E totPub_L aiPatINV_E aiPatINV_L aiPatAPP_E aiPatAPP_L aiPub_E aiPub_L totPatINVst totPatAPPst totPubst aiPatINVst aiPatAPPst aiPubst totPatINVst_E totPatINVst_L totPatAPPst_E totPatAPPst_L totPubst_E totPubst_L aiPatINVst_E aiPatINVst_L aiPatAPPst_E aiPatAPPst_L aiPubst_E aiPubst_L RD_instr aiPatAPPst_L_instr totPatAPPst_L_instr     {
gen ln`i' = ln(`i')
la var ln`i' "log of `i'"
}

*_____________________________________________________________________________PRODUCTIVITY GROWTH

gen LPgrowth=d.lnLP
la var LPgrowth "labour productivity growth based on LP"
gen LPhgrowth=d.lnLPh
la var LPhgrowth "labour productivity growth based on LPh"

gen MLPgrowth=d.lnMLP
la var MLPgrowth "5-period moving average for LPgrowth"
gen MLPhgrowth=d.lnMLPh
la var MLPhgrowth "5-period moving average for LPhgrowth"

save "TECHNOVATION_PartekaKordalska_FinalData.dta"