
*********************************************************************************************************************************************************
*PLEASE CITE AS:

*Parteka, A., & Kordalska, A. (2023). Data and codes accompanying the paper: 
*Parteka A., Kordalska A. "Artificial intelligence and productivity: global evidence from AI patent and bibliometric data". Technovation, Volume 125, July 2023, 102764 (https://doi.org/10.34808/rjk6-ry03)
*********************************************************************************************************************************************************

use "TECHNOVATION_PartekaKordalska_FinalData.dta", replace
collapse (sum) totPatAPP aiPatAPP totPub aiPub totPatAPPst aiPatAPPst totPubst aiPubst (mean) MtotPatAPP_E MaiPatAPP_E MtotPub_E MaiPub_E totPatAPPst_E aiPatAPPst_E totPubst_E aiPubst_E, by(year OECD)
sort OECD year

*_____________________________________________________________________________Figure 1 

graph drop _all

graph twoway (line aiPatAPP year if OECD==1 & year<2017, lcolor(navy8) lpattern(solid))       (line aiPatAPP year if OECD==0 & year<2017, lcolor(navy8) lpattern(longdash_dot)),       ytitle("N of patents, fractional counts", size(medsmall)) ylabel(0(2000)4000) xtitle("") xlabel(1985(2)2017, angle(vertical)) title("AI patents", color(black) size(medlarge))  legend(on color(black) box fcolor(white) lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(patAI) 

graph twoway (line totPatAPP year if OECD==1 & year<2017, lcolor(navy8) lpattern(solid))   (line totPatAPP year if OECD==0 & year<2017, lcolor(navy8) lpattern(longdash_dot)),   ytitle("")                                             ylabel(0(100000)200000) xtitle("") xlabel(1985(2)2017, angle(vertical)) title("All patents", color(black) size(medlarge)) legend(on color(black) box fcolor(white) lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(patAll)

graph twoway (line MaiPatAPP_E year if OECD==1 & year<2017, lcolor(navy8) lpattern(solid))     (line MaiPatAPP_E year if OECD==0 & year<2017, lcolor(navy8) lpattern(longdash_dot)),     ytitle("N of patents, fractional counts", size(medsmall)) xtitle("")xlabel(1985(2)2017, angle(vertical)) title("AI patents per mil persons employed", color(black) size(medlarge))  legend(on color(black) box fcolor(white) lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(patAIE)
 
graph twoway (line MtotPatAPP_E year if OECD==1 & year<2017, lcolor(navy8) lpattern(solid)) (line MtotPatAPP_E year if OECD==0 & year<2017, lcolor(navy8) lpattern(longdash_dot)), ytitle("")                                             xtitle("") xlabel(1985(2)2017, angle(vertical)) title("All patents per mil persons employed", color(black) size(medlarge)) legend(on color(black) box fcolor(white) lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(patAllE) 
 
grc1leg patAI patAll patAIE patAllE, iscale(0.8) xsize(8) graphregion(color(white))

*_____________________________________________________________________________Figure 2 

graph drop _all

graph twoway (line aiPub year if OECD==1 & year>=1998, lcolor(navy8) lpattern(solid))  (line aiPub year if OECD==0 & year>=1998, lcolor(navy8) lpattern(longdash_dot)),  ytitle("N of publications, whole counts", size(medsmall)) ylabel(0(20000)40000) xtitle("") xlabel(1998(2)2017, angle(vertical)) title("AI publications", color(black) size(medlarge)) legend(on color(black) box fcolor(white) lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(pubAI)
 
graph twoway (line totPub year if OECD==1 & year>=1998, lcolor(navy8) lpattern(solid)) (line totPub year if OECD==0 & year>=1998, lcolor(navy8) lpattern(longdash_dot)), ytitle("") ylabel(0(1e+6)2e+6) xtitle("") xlabel(1998(2)2017, angle(vertical)) title("All publications", color(black) size(medlarge)) legend(on color(black) box fcolor(white)     lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(pubTot)
 
graph twoway (line MaiPub_E year if OECD==1 & year>=1998, lcolor(navy8) lpattern(solid))  (line MaiPub_E year if OECD==0 & year>=1998, lcolor(navy8) lpattern(longdash_dot)),  ytitle("N of publications, whole counts", size(medsmall)) xtitle("") xlabel(1998(2)2017, angle(vertical)) title("AI publications per mil person employed", color(black) size(medlarge))        legend(on color(black) box fcolor(white) lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(pubAIE) 

graph twoway (line MtotPub_E year if OECD==1 & year>=1998, lcolor(navy8) lpattern(solid)) (line MtotPub_E year if OECD==0 & year>=1998, lcolor(navy8) lpattern(longdash_dot)), ytitle("") ylabel(0(2000)6000)                                     xtitle("") xlabel(1998(2)2017, angle(vertical)) title("All publications per mil person employed", color(black) size(medlarge)) legend(on color(black) box fcolor(white)     lcolor(white) region(lcolor(white)) row(1)) legend(order(1 "OECD countries" 2 "non-OECD countries")) graphregion(color(white) margin(small))  name(pubTotE) 

grc1leg pubAI pubTot pubAIE pubTotE, iscale(0.8) xsize(8) graphregion(color(white))
