*********************************************************************************************************************************************************
*PLEASE CITE AS:

*Parteka, A., & Kordalska, A. (2023). Data and codes accompanying the paper: 
*Parteka A., Kordalska A. "Artificial intelligence and productivity: global evidence from AI patent and bibliometric data". Technovation, Volume 125, July 2023, 102764 (https://doi.org/10.34808/rjk6-ry03)
*********************************************************************************************************************************************************

*____________________________________________________________________________________________________________________________TABLE 3

use "TECHNOVATION_PartekaKordalska_FinalData.dta", replace
xtset countryid year

xi: xtreg MLPhgrowth l.lnMLPh d.lnMKLratio lnMaiPatAPP_L i.year  if OECD==1 & year<2017, fe robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-ma-PAT-OECD)") drop(_I* o._I*)    nocons  excel   replace
xi: xtreg MLPhgrowth l.lnMLPh d.lnMKLratio lnMaiPatAPP_L lnMtotPatAPP_L i.year  if OECD==1 & year<2017, fe robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-ma-PAT-OECD)") drop(_I* o._I*)    nocons  excel   append

xi: xtreg LPhgrowth l.lnLPh d.lnKLratio lnaiPatAPPst_L i.year  if OECD==1 & year<2017, fe robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-stock-PAT-OECD)") drop(_I* o._I*) nocons  excel   append
xi: xtreg LPhgrowth l.lnLPh d.lnKLratio lnaiPatAPPst_L lntotPatAPPst_L i.year  if OECD==1 & year<2017, fe robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-stock-PAT-OECD)") drop(_I* o._I*) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L=l.lnaiPatAPPst_L)  i.year  if OECD==1 & year<2017, fe gmm2s robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-OECD)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L lntotPatAPPst_L =l.lnaiPatAPPst_L l.lntotPatAPPst_L ) i.year  if OECD==1 & year<2017, fe gmm2s robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-OECD)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L=l.lnaiPatAPPst_L lnRD_instr) i.year  if OECD==1 & year<2017, fe gmm2s robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-OECD)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L lntotPatAPPst_L=l.lnaiPatAPPst_L l.lntotPatAPPst_L lnRD_instr) i.year  if OECD==1 & year<2017, fe gmm2s robust
quietly outreg2 using "TABLE3.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-OECD)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

*____________________________________________________________________________________________________________________________TABLE 5

use "TECHNOVATION_PartekaKordalska_FinalData.dta", replace
xtset countryid year

xi: xtreg MLPhgrowth l.lnMLPh d.lnMKLratio lnMaiPatAPP_L lnMtotPatAPP_L hc tradegdp rq i.year  if OECD==1 & year<2017, fe robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-ma-PAT-OECD)") drop(_I* o._I*)    nocons  excel   replace

xi: xtreg LPhgrowth l.lnLPh d.lnKLratio lnaiPatAPPst_L lntotPatAPPst_L hc tradegdp rq i.year  if OECD==1 & year<2017, fe robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-stock-PAT-OECD)") drop(_I* o._I*) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L lntotPatAPPst_L =l.lnaiPatAPPst_L l.lntotPatAPPst_L ) hc tradegdp rq i.year  if OECD==1 & year<2017, fe gmm2s robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-OECD)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L lntotPatAPPst_L=l.lnaiPatAPPst_L l.lntotPatAPPst_L lnRD_instr) hc tradegdp rq i.year  if OECD==1 & year<2017, fe gmm2s robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-OECD)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

xi: xtreg MLPhgrowth l.lnMLPh d.lnMKLratio lnMaiPatAPP_L lnMtotPatAPP_L hc tradegdp rq i.year  if year<2017, fe robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-ma-PAT-all countries)") drop(_I* o._I*)    nocons  excel   append

xi: xtreg LPhgrowth l.lnLPh d.lnKLratio lnaiPatAPPst_L lntotPatAPPst_L hc tradegdp rq i.year  if year<2017, fe robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(OLS-stock-PAT-all countries)") drop(_I* o._I*) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L lntotPatAPPst_L =l.lnaiPatAPPst_L l.lntotPatAPPst_L ) hc tradegdp rq i.year  if year<2017, fe gmm2s robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-all countries)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append

xi: xtivreg2 LPhgrowth l.lnLPh d.lnKLratio (lnaiPatAPPst_L lntotPatAPPst_L=l.lnaiPatAPPst_L l.lntotPatAPPst_L lnRD_instr ) hc tradegdp rq i.year  if year<2017, fe gmm2s robust
quietly outreg2 using "TABLE5.xls", symbol(***, **, *) alpha(0.01, 0.05, 0.10) dec(3) paren ctitle("(IVgmm-stock-PAT-all countries)") drop(_I* o._I*) e(idp widstat jp) nocons  excel   append
